<?php

$blog = get_theme_mod( 'magoblog_blog', 'disable' );
$blog_num = 5 ;

if ( 'disable' === $blog ) {
    return;
}

$cat_content_id = get_theme_mod( 'magoblog_blog_cat' );
$args = array(
    'cat' => $cat_content_id,
    'posts_per_page' =>  absint( $blog_num ),
);

?>
<?php if ( get_theme_mod( 'magoblog_ads_image_1', '' ) !== '' ): ?>
    <div class="ads-image">
        <div class="wrapper">
            <a href="<?php echo esc_url( get_theme_mod( 'magoblog_ads_url_1' ) ) ; ?>">
                <img src="<?php echo esc_url( get_theme_mod( 'magoblog_ads_image_1' ) ) ; ?>">
            </a>
        </div>
    </div>
<?php endif ?>
<div id="inner-content-wrapper" class="page-section no-padding-top">
    <div class="wrapper">
        <div class="section-header">
           <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'magoblog_blog_title', __('More Articles', 'magoblog') ) ); ?></h2>
        </div>
        <?php if ( is_active_sidebar( 'blog-sidebar' ) ) { ?>
            <div id="primary" class="content-area">
        <?php } ?>
            <main id="main" class="site-main" role="main">
                <div class="archive-blog-wrapper clear">
                <?php
        
                $query = new WP_Query( $args );
                if ( $query->have_posts() ) {
                    while ( $query->have_posts() ) {
                        $query->the_post();
                         $banner_thumbnail = get_the_post_thumbnail_url( get_the_id(), 'medium-large' );
                    ?>
                    <article class="has-post-thumbnail">
                        <div class="featured-image" style="background-image: url('<?php echo esc_url( $banner_thumbnail ) ; ?>');">
                            <a href="<?php the_permalink(); ?>" class="post-thumbnail-link"></a>
                        </div>
                        <div class="entry-container">
                            <span class="cat-links">
                                <?php the_category( '', '' ); ?>
                            </span>
                            <header class="entry-header">
                                <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                            </header>
                            <div class="entry-content">
                                <p>
                                    <?php echo esc_html(wp_trim_words( get_the_content(), 50, '  ...' )); ?>
                                </p>
                            </div>
                            <div class="entry-meta">
                                <?php blogoholic_posted_on() ; ?>
                            </div>
                        </div>
                    </article>
                    <?php
                    }
                }
                wp_reset_postdata();
                ?>
                </div>
            </main>
            <?php if ( is_active_sidebar( 'blog-sidebar' ) ) { ?>
                </div>
            <?php } ?>
        <?php if ( is_active_sidebar( 'blog-sidebar' ) ) { ?>
        <aside id="secondary" class="widget-area" role="complementary">
            <?php
                dynamic_sidebar( 'blog-sidebar' );
            ?>
        </aside>
    <?php } ?>
    </div>
</div>
<?php if ( get_theme_mod( 'magoblog_ads_image_2', '' ) !== '' ): ?>
    <div class="ads-image">
        <div class="wrapper">
            <a href="<?php echo esc_url( get_theme_mod( 'magoblog_ads_url_2' ) ) ; ?>">
                <img src="<?php echo esc_url( get_theme_mod( 'magoblog_ads_image_2' ) ) ; ?>">
            </a>
        </div>
    </div>
<?php endif ?>