<?php

$wp_customize->add_section(
	'magoblog_blog',
	array(
		'title' => esc_html__( 'Blog Post', 'magoblog' ),
		'panel' => 'blogoholic_home_panel',
	)
);

$wp_customize->add_setting(
	'magoblog_blog',
	array(
		'sanitize_callback' => 'blogoholic_sanitize_select',
		'default' => 'disable'
	)
);

$wp_customize->add_control(
	'magoblog_blog',
	array(
		'section'		=> 'magoblog_blog',
		'label'			=> esc_html__( 'Content type:', 'magoblog' ),
		'type'			=> 'select',
		'choices'		=> array(
			'disable' => esc_html__( '--Disable--', 'magoblog' ),
			'cat' => esc_html__( 'Category', 'magoblog' ),
	 	)
	)
);

$wp_customize->add_setting( 'magoblog_ads_image_1', array(
	'sanitize_callback' => 'blogoholic_sanitize_image',
) );
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'magoblog_ads_image_1',
	array(
	'label'       		=> esc_html__( 'Ads Image 1', 'magoblog' ),
	'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'magoblog' ), 810, 120 ),
	'section'     		=> 'magoblog_blog',
	'active_callback'	=> 'magoblog_if_blog_enabled'
) ) );

$wp_customize->add_setting(
	'magoblog_ads_url_1',
	array(
		'sanitize_callback' => 'esc_url_raw',
	)
);
$wp_customize->add_control(
	'magoblog_ads_url_1',
	array(
		'section'		=> 'magoblog_blog',
		'label'			=> esc_html__( 'Ads Url 1:', 'magoblog' ),
		'active_callback'	=> 'magoblog_if_blog_enabled'
	)
);

$wp_customize->add_setting( 'magoblog_ads_image_2', array(
	'sanitize_callback' => 'blogoholic_sanitize_image',
) );
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'magoblog_ads_image_2',
	array(
	'label'       		=> esc_html__( 'Ads Image 2', 'magoblog' ),
	'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'magoblog' ), 810, 120 ),
	'section'     		=> 'magoblog_blog',
	'active_callback'	=> 'magoblog_if_blog_enabled'
) ) );

$wp_customize->add_setting(
	'magoblog_ads_url_2',
	array(
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'magoblog_ads_url_2',
	array(
		'section'		=> 'magoblog_blog',
		'label'			=> esc_html__( 'Ads Url 2', 'magoblog' ),
		'active_callback'	=> 'magoblog_if_blog_enabled'
	)
);

$wp_customize->add_setting(
	'magoblog_blog_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'More Articles', 'magoblog' ),
	)
);

$wp_customize->add_control(
	'magoblog_blog_title',
	array(
		'section'		=> 'magoblog_blog',
		'label'			=> esc_html__( 'Section Title:', 'magoblog' ),
		'active_callback'	=> 'magoblog_if_blog_enabled'
	)
);


$wp_customize->add_setting(
	'magoblog_blog_cat',
	array(
		'sanitize_callback' => 'blogoholic_sanitize_select',
	)
);
$wp_customize->add_control(
	'magoblog_blog_cat',
	array(
		'section'		=> 'magoblog_blog',
		'label'			=> esc_html__( 'Category:', 'magoblog' ),
		'type'			=> 'select',
		'choices'		=> blogoholic_get_post_cat_choices(),
		'active_callback'	=> 'magoblog_if_blog_enabled'
	)
);

