<?php

$wp_customize->add_section(
	'magoblog_editor',
	array(
		'title' => esc_html__( 'Editor Choice', 'magoblog' ),
		'panel' => 'blogoholic_home_panel',
	)
);

$wp_customize->add_setting(
	'magoblog_editor',
	array(
		'sanitize_callback' => 'blogoholic_sanitize_select',
		'default' => 'disable'
	)
);

$wp_customize->add_control(
	'magoblog_editor',
	array(
		'section'		=> 'magoblog_editor',
		'label'			=> esc_html__( 'Content type:', 'magoblog' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'magoblog' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'magoblog' ),
				'post' => esc_html__( 'Post', 'magoblog' ),
		 	)
	)
);

$wp_customize->add_setting(
	'magoblog_editor_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Editors Picks', 'magoblog' ),
	)
);

$wp_customize->add_control(
	'magoblog_editor_title',
	array(
		'section'		=> 'magoblog_editor',
		'label'			=> esc_html__( 'Section Title:', 'magoblog' ),
		'active_callback'	=> 'magoblog_if_editor_enabled'
	)
);


$editor_num = 5;
for ($i=1; $i <= $editor_num ; $i++) { 

	$wp_customize->add_setting(
		'magoblog_editor_post_'.$i,
		array(
			'sanitize_callback' => 'blogoholic_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'magoblog_editor_post_'.$i,
		array(
			'section'		=> 'magoblog_editor',
			'label'			=> esc_html__( 'Post ', 'magoblog' ).$i,
			'type'			=> 'select',
			'choices'		=> blogoholic_get_post_choices(),
			'active_callback'	=> 'magoblog_if_editor_enabled'
		)
	);

	
}
